
// =====================================
// Shader Heroic
// clatoo 25/07/09
// =====================================

// ------------------------------------- 
// Ciel
// ------------------------------------- 

//-------Ciel_1

textures/citadelle/stencil_ciel
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 450
	q3map_lightRGB 255 255 255
	qer_editorimage textures/citadelle/stencil_ciel.tga
 	skyparms - 512 -
	{
		map textures/citadelle/ciel01.jpg
		tcMod scale 3 3
		tcMod scroll 0.0200 0.00200
	}
}

// ------------------------------------- 
// Eau riviere
// ------------------------------------- 

textures/citadelle/eau01
{
	qer_editorimage textures/citadelle/eau01.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .0175 .0525 .0425 ) 350
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/citadelle/eau02.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/citadelle/eau03.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/citadelle/eau01.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

// ------------------------------------- 
// Eau source
// ------------------------------------- 

textures/citadelle/eaus01
{
	qer_editorimage textures/citadelle/eaus01.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/citadelle/eaus02.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/citadelle/eaus03.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/citadelle/eaus01.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

// ------------------------------------- 
// Cascade
// ------------------------------------- 

textures/citadelle/Cascade_01
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	cull none
	{
		map textures/citadelle/Cascade_01.tga
                tcMod Scroll 0 2
		blendFunc GL_ONE GL_ONE
		rgbgen identity
        }
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

// ------------------------------------- 
// Echelle
// ------------------------------------- 

textures/citadelle/ladderclip
{
	qer_trans 0.3
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}

// ------------------------------------- 
// Utiliser avec les Hints
// ------------------------------------- 

textures/citadelle/skip
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm skip
	surfaceparm structural
	surfaceparm trans
}

// ------------------------------------- 
// Fenetres
// ------------------------------------- 

textures/citadelle/Fenetre_07
{
	{	
		map textures/citadelle/Fenetre_07.tga
	}
	{
		map textures/citadelle/reflet01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/citadelle/Fenetre_07.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}

}

textures/citadelle/Fenetre_07b
{
	{	
		map textures/citadelle/Fenetre_07b.tga
	}
	{
		map textures/citadelle/reflet01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/citadelle/Fenetre_07b.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}

}

textures/citadelle/Fenetre_04
{
	{	
		map textures/citadelle/Fenetre_04.tga
	}
	{
		map textures/citadelle/reflet01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/citadelle/Fenetre_04.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}

}

textures/citadelle/Fenetre_05
{
	{	
		map textures/citadelle/Fenetre_05.tga
	}
	{
		map textures/citadelle/reflet01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/citadelle/Fenetre_05.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}

}

textures/citadelle/Fenetre_06
{
	{	
		map textures/citadelle/Fenetre_06.tga
	}
	{
		map textures/citadelle/reflet01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/citadelle/Fenetre_06.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}

}

// ------------------------------------- 
// Lave
// -------------------------------------

textures/citadelle/mask_lave
{
	qer_editorimage textures/citadelle/lave01.jpg
	q3map_globaltexture
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceParm lava
	surfaceparm nolightmap
	q3map_surfacelight 800
	cull disable
	{
		map textures/citadelle/lave01.jpg
		tcMod scroll 0.2 0.0
		tcMod turb 0 0.2 0 0.05
	}
}

// ------------------------------------- 
// Grille > Alpha
// ------------------------------------- 

textures/citadelle/Grille_01
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/citadelle/Grille_01.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ------------------------------------- 
// Enseignes > Alpha
// ------------------------------------- 

textures/citadelle/Enseigne_01		// Enseigne 01
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/citadelle/Enseigne_01.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/citadelle/Enseigne_02		// Enseigne 02
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/citadelle/Enseigne_02.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/citadelle/Enseigne_03		// Enseigne 03
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/citadelle/Enseigne_03.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/citadelle/Enseigne_04		// Enseigne 04
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/citadelle/Enseigne_04.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/citadelle/Enseigne_05		// Enseigne 05
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/citadelle/Enseigne_05.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ------------------------------------- 
// Decal > Alpha
// ------------------------------------- 

textures/citadelle/Decal_01		// Dragon
{
	polygonoffset
	nopicmip
	{
		map textures/citadelle/Decal_01.tga
		blendfunc filter
	}
}

// ------------------------------------- 
// Blasons > Alpha
// ------------------------------------- 

textures/citadelle/Blason_01		// Blason 01
{
	polygonoffset
	nopicmip
	{
		map textures/citadelle/Blason_01.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/citadelle/Blason_02		// Blason 02
{
	polygonoffset
	nopicmip
	{
		map textures/citadelle/Blason_02.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/citadelle/Blason_03		// Blason 03
{
	polygonoffset
	nopicmip
	{
		map textures/citadelle/Blason_03.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/citadelle/Blason_04		// Blason 04
{
	polygonoffset
	nopicmip
	{
		map textures/citadelle/Blason_04.tga
		blendfunc blend
		rgbgen vertex
	}
}

// ------------------------------------- 
// Inscriptions > Alpha
// ------------------------------------- 

textures/citadelle/Inscription_01	// Inscription 01
{
	polygonoffset
	nopicmip
	{
		map textures/citadelle/Inscription_01.tga
		blendfunc filter
	}
}

textures/citadelle/Inscription_02	// Inscription 02
{
	polygonoffset
	nopicmip
	{
		map textures/citadelle/Inscription_02.tga
		blendfunc filter
	}
}

textures/citadelle/Inscription_03	// Inscription 03
{
	polygonoffset
	nopicmip
	{
		map textures/citadelle/Inscription_03.tga
		blendfunc filter
	}
}

textures/citadelle/Inscription_04	// Inscription 04
{
	polygonoffset
	nopicmip
	{
		map textures/citadelle/Inscription_04.tga
		blendfunc filter
	}
}

textures/citadelle/Inscription_05	// Inscription 05
{
	polygonoffset
	nopicmip
	{
		map textures/citadelle/Inscription_05.tga
		blendfunc filter
	}
}

textures/citadelle/Inscription_06	// Inscription 06
{
	polygonoffset
	nopicmip
	{
		map textures/citadelle/Inscription_06.tga
		blendfunc filter
	}
}

// ------------------------------------- 
// Verre lampe
// ------------------------------------- 

textures/citadelle/reflet02
{
	qer_editorimage textures/citadelle/reflet02.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/citadelle/reflet02.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

// ------------------------------------- 
// Flamme
// ------------------------------------- 

textures/citadelle/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	qer_editorimage textures/citadelle/flame1.jpg
	deformVertexes autoSprite
	{
		animMap 10 textures/citadelle/flame1.jpg textures/citadelle/flame2.jpg textures/citadelle/flame3.jpg textures/citadelle/flame4.jpg textures/citadelle/flame5.jpg textures/citadelle/flame6.jpg textures/citadelle/flame7.jpg textures/citadelle/flame8.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/citadelle/flame2.jpg textures/citadelle/flame3.jpg textures/citadelle/flame4.jpg textures/citadelle/flame5.jpg textures/citadelle/flame6.jpg textures/citadelle/flame7.jpg textures/citadelle/flame8.jpg textures/citadelle/flame1.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/citadelle/flameball.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

// ------------------------------------- 
// Fume
// -------------------------------------

textures/citadelle/Fume_01
{
	qer_editorimage textures/citadelle/Fume_01.jpg
	deformVertexes autoSprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		animMap 8 textures/citadelle/Fume_01.jpg textures/citadelle/Fume_03.jpg textures/citadelle/Fume_05.jpg textures/citadelle/Fume_07.jpg textures/citadelle/Fume_09.jpg textures/citadelle/Fume_11.jpg textures/citadelle/Fume_13.jpg textures/citadelle/Fume_15.jpg
		blendFunc GL_ONE GL_ONE
	}	
}

// ------------------------------------- 
// Drapeau
// ------------------------------------- 

textures/citadelle/Drapeau_01
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/citadelle/Drapeau_01.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
         }
}

textures/citadelle/Drapeau_02
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/citadelle/Drapeau_02.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
         }
}

textures/citadelle/Drapeau_03
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/citadelle/Drapeau_03.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
         }
}
